(*
** $Id: lualib.h,v 1.25 2002/07/09 18:49:13 roberto Exp $
** Lua standard libraries
** See Copyright Notice in lua.h
*)
(*
** Translated to pascal by Lavergne Thomas and Marcus Aurelius Farias
** Bugs report :
**    - thomas.lavergne@laposte.net
**    In French or in English
**
**    - marcus.cf@bol.com.br
**    In Portuguese or in English
*)
unit lualib;

interface

uses
  Lua;

const
  LUA_COLIBNAME = 'coroutine';

function luaopen_base(L: Plua_State): Integer; cdecl;

const
  LUA_TABLIBNAME = 'table';

function luaopen_table(L: Plua_State): Integer; cdecl;

const
  LUA_IOLIBNAME = 'io';
  LUA_OSLIBNAME = 'os';

function luaopen_io(L: Plua_State): Integer; cdecl;

const
  LUA_STRLIBNAME = 'string';

function luaopen_string(L: Plua_State): Integer; cdecl;

const
  LUA_MATHLIBNAME = 'math';

function luaopen_math(L: Plua_State): Integer; cdecl;

const
  LUA_DBLIBNAME = 'debug';

function luaopen_debug(L: Plua_State): Integer; cdecl;

(* compatibility code *)

function lua_baselibopen(L: Plua_State): Integer; cdecl;
function lua_tablibopen(L: Plua_State): Integer; cdecl;
function lua_iolibopen(L: Plua_State): Integer; cdecl;
function lua_strlibopen(L: Plua_State): Integer; cdecl;
function lua_mathlibopen(L: Plua_State): Integer; cdecl;
function lua_dblibopen(L: Plua_State): Integer; cdecl;

implementation

function luaopen_base(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME;
function luaopen_table(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME;
function luaopen_io(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME;
function luaopen_string(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME;
function luaopen_math(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME;
function luaopen_debug(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME;

function lua_baselibopen(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME name 'luaopen_base';
function lua_tablibopen(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME name 'luaopen_table';
function lua_iolibopen(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME name 'luaopen_io';
function lua_strlibopen(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME name 'luaopen_string';
function lua_mathlibopen(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME name 'luaopen_math';
function lua_dblibopen(L: Plua_State): Integer; cdecl; external LUA_LIB_NAME name 'luaopen_debug';

end.
